Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface ModelGraphInterface

All Known Subinterfaces:
  InfModel, Model, OntModel

All Known Implementing Classes:
  com.hp.hpl.jena.rdf.model.impl.ModelCom, ModelRDB, MonitorModel

    public interface ModelGraphInterface

ModelGraphInterface - this interface mediates between the API Model level and the SPI Graph level. It may change if the SPI changes, is more fluid than Model and ModelCon, so don't use if it you don't *need* to.

Author:
  kers

Method Summary
`RDFNode` | `asRDFNode(Node n)` Answer an RDF node wrapping `n` suitably; URI nodes become Resources with the same URI, blank nodes become Resources with URI null but the same AnonId, and literal nodes become Literals with `n` as their value carrier.
`Statement` | `asStatement(Triple t)` Answer a Statement in this Model who's SPO is that of the triple `t`.
`Graph` | `getGraph()` Answer the Graph which this Model is presenting.
`QueryHandler` | `queryHandler()` Answer the QueryHandler of the Graph this Model is presenting.

Method Detail

### asStatement

    Statement asStatement(Triple t)

  Answer a Statement in this Model who's SPO is that of the triple `t`.

### getGraph

    Graph getGraph()

  Answer the Graph which this Model is presenting.

### queryHandler

    QueryHandler queryHandler()

  Answer the QueryHandler of the Graph this Model is presenting.

### asRDFNode

    RDFNode asRDFNode(Node n)

  Answer an RDF node wrapping `n` suitably; URI nodes become Resources with the same URI, blank nodes become Resources with URI null but the same AnonId, and literal nodes become Literals with `n` as their value carrier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP